Bug 460552 - gnome does not start with compiz at next login
gnome does not start with compiz at next login
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker F10Preview
  Show dependency treegraph
 
Reported: 2008-08-28 11:24 EDT by sangu
Modified: 2013-01-09 23:47 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.7.6-11.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 11:30:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description sangu 2008-08-28 11:24:36 EDT
Description of problem:
in gnome-session-2.25.90
$ gconftool-2 --get /apps/gnome-session/gnome-wm/preferred_window_manager
compiz
Then, desktop-effect uses /apps/gnome-session/rh/window_manager.

See Also : bug 447309

Version-Release number of selected component (if applicable):
0.7.6-10.fc10

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
gnome-session-2.23.90-1.fc10.i386
Comment 1 sangu 2008-08-28 22:52:16 EDT
Changed in 2.23.91-0.20080828.1.fc10.i386, again.

$ gconftool-2 --get /desktop/gnome/session/required-components/windowmanager
compiz

$ cat /usr/bin/gnome-wm | grep windowmanager
# If this is not set, we search a list of known windowmanagers and use
# /desktop/gnome/session/required-components/windowmanager
    WINDOW_MANAGER=`gconftool-2 --get /desktop/gnome/session/required-components/windowmanager 2> /dev/null`
Comment 2 sangu 2008-09-09 10:51:30 EDT
in gnome-session-2.23.92-1.fc10
$  cat /usr/bin/gnome-wm | grep windowmanager# If this is not set, we search a list of known windowmanagers and use
# /desktop/gnome/session/required_components/windowmanager
    WINDOW_MANAGER=`gconftool-2 --get /desktop/gnome/session/required_components/windowmanager 2> /dev/null`
# Now create options OPT1, OPT2 and OPT3 based on the windowmanager used
    #FIXME: add all other windowmanagers here with their proper options

$ gconftool-2 --get /desktop/gnome/session/required_components/windowmanager
compiz
Comment 3 John Poelstra 2008-09-09 12:34:07 EDT
Can you summarize exactly what the bug is here and what you think should be fixed?

It is hard to tell how this bug should be triaged
Comment 4 sangu 2008-09-09 12:54:14 EDT
(In reply to comment #3)
> Can you summarize exactly what the bug is here and what you think should be
> fixed?
> 
> It is hard to tell how this bug should be triaged
default gconf windowmanger value was changed in new gnome-session version.
Then, desktop-effects doen't use the gconf value.( current desktop-effects uses /apps/gnome-session/rh/window_manager.)
).
So, although click "Enable desktop effects" button on dektop-effects, gnome doesn't start with compiz at next login.
Comment 5 John Poelstra 2008-09-09 14:38:55 EDT
Thanks! that is much clearer.  I think the summary should reflect your last sentence which is really the punch line :)  I'll change it.

Note You need to log in before you can comment on or make changes to this bug.